Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class DungeonHooks.DungeonLoot

    java.lang.Object
      net.minecraft.util.WeightedRandomItem
          net.minecraft.util.WeightedRandomChestContent
              net.minecraftforge.common.DungeonHooks.DungeonLoot

Enclosing class:
  DungeonHooks

Deprecated.

    @Deprecated
    public static class DungeonHooks.DungeonLoot

extends WeightedRandomChestContent

Field Summary

Fields inherited from class net.minecraft.util.WeightedRandomChestContent
`theItemId, theMaximumChanceToGenerateItem, theMinimumChanceToGenerateItem`

Fields inherited from class net.minecraft.util.WeightedRandomItem
`itemWeight`

Constructor Summary
`DungeonHooks.DungeonLoot(int weight, ItemStack item, int min, int max)` Deprecated.

Method Summary
`boolean` | `equals(ItemStack item)` Deprecated.
`boolean` | `equals(ItemStack item, int min, int max)` Deprecated.
`ItemStack` | `generateStack(Random rand)` Deprecated.

Methods inherited from class net.minecraft.util.WeightedRandomChestContent
`func_92029_a, generateChestContents, generateDispenserContents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DungeonHooks.DungeonLoot

    @Deprecated
    public DungeonHooks.DungeonLoot(int weight,
                                               ItemStack item,
                                               int min,
                                               int max)

  Deprecated.

Method Detail

### generateStack

    @Deprecated
    public ItemStack generateStack(Random rand)

  Deprecated.

### equals

    public boolean equals(ItemStack item,
                          int min,
                          int max)

  Deprecated.

### equals

    public boolean equals(ItemStack item)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD